annotate scripts/config-headers.sh @ 598:717ed17d82c6

aci3 vocoder control revamped, AT@VSEL now works as it should The vocoder control code (hl_audio_drv.c) that came with the TCS3 version of ACI was totally broken in the Calypso config (VOCODER_FUNC_INTERFACE) and worked in the standard analog voice environment only by luck. This code has now been rewritten to work correctly with our Calypso platform and TCS211 L1, and our new AT@VSEL mechanism (automatic enabling and disabling of MCSI voice path as the modem enters and exits the voice call state) now also works as designed.
author Mychaela Falconia <falcon@freecalypso.org>
date Wed, 27 Mar 2019 23:44:35 +0000
parents fd8227e3047d
children 92dbfa906f66
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
rev   line source
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
1 #!/bin/sh
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
2
144
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
3 if [ $# != 2 ]
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
4 then
144
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
5 echo "usage: $0 srvc-flavor rv-swe-flavor" 1>&2
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
6 exit 1
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
7 fi
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
8
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
9 if [ -z "$TARGET" ]
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
10 then
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
11 echo "Error: TARGET= must be passed via environment" 1>&2
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
12 exit 1
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
13 fi
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
14
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
15 if [ -z "$BUILD_DIR" ]
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
16 then
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
17 echo "Error: BUILD_DIR= must be passed via environment" 1>&2
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
18 exit 1
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
19 fi
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
20
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
21 set -e
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
22
14
86e83045be37 scripts/config-headers.sh: allow this script to be re-run
Mychaela Falconia <falcon@freecalypso.org>
parents: 6
diff changeset
23 rm -rf $BUILD_DIR/config
144
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
24 cp -r cfg-headers/base $BUILD_DIR/config
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
25 cp cfg-headers/$1/* $BUILD_DIR/config
fd8227e3047d config headers overhaul
Mychaela Falconia <falcon@freecalypso.org>
parents: 14
diff changeset
26 cp cfg-headers/rv_swe-$2.h $BUILD_DIR/config/rv_swe.h
6
c01d2500a998 beginning of build system: crafting config headers into place
Mychaela Falconia <falcon@freecalypso.org>
parents:
diff changeset
27 cp targets/$TARGET.h $BUILD_DIR/config/fc-target.cfg